#!/bin/bash

# Custom script by EdR to undo the reorg before updating
# Edited by Sigismond0 to move console cores out of root


# Remove console symlinks
cd /media/fat
find ./ -maxdepth 1  \(   \
  -name "Atari2600_*.rbf"     -o \
  -name "Atari5200_*.rbf"     -o \
  -name "Atari7800_*.rbf"     -o \
  -name "AtariLynx_*.rbf"     -o \
  -name "Gameboy_*.rbf"     -o \
  -name "GBA_*.rbf"         -o \
  -name "Genesis_*.rbf"         -o \
  -name "SMS_*.rbf"         -o \
  -name "MegaCD_*.rbf"         -o \
  -name "NeoGeo_*.rbf"         -o \
  -name "NES_*.rbf"         -o \
  -name "SNES_*.rbf"         -o \
  -name "TurboGrafx16*.rbf"         -o \
  -name "WonderSwan_*.rbf"       \
  \) -exec rm {}   \;
  
# Cores I don't currently use, but you might want to
#  -name "Arcadia*.rbf"        -o \
#  -name "Astrocade_*.rbf"     -o \
#  -name "AY-3-8500_*.rbf"     -o \
#  -name "ChannelF_*.rbf"      -o \
#  -name "ColecoVision_*.rbf"  -o \
#  -name "Intellivision_*.rbf" -o \
#  -name "Odyssey2_*.rbf"      -o \
#  -name "VC4000_*.rbf"        -o \
#  -name "Vectrex_*.rbf"       -o \
#  -name "GBA2P_*.rbf"         -o \
#  -name "Gameboy2P_*.rbf"     -o \
  
